aboutsummaryrefslogtreecommitdiffstats
path: root/main/farstream0.1/APKBUILD
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <b@bpiotrowski.pl>2013-01-06 12:22:11 +0100
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2013-01-06 12:22:11 +0100
commit1a834e09813d1c5dd9422cecda20a20905cbd2c9 (patch)
tree7eb6a958dfd01a82d897285d5fd837c4c8554dac /main/farstream0.1/APKBUILD
parent71e0da93b7dd580601622a325050d1dcb4eb9b65 (diff)
downloadaports-1a834e09813d1c5dd9422cecda20a20905cbd2c9.tar.gz
aports-1a834e09813d1c5dd9422cecda20a20905cbd2c9.tar.bz2
aports-1a834e09813d1c5dd9422cecda20a20905cbd2c9.tar.xz
main/farstream0.1: new aport
Diffstat (limited to 'main/farstream0.1/APKBUILD')
-rw-r--r--main/farstream0.1/APKBUILD53
1 files changed, 53 insertions, 0 deletions
diff --git a/main/farstream0.1/APKBUILD b/main/farstream0.1/APKBUILD
new file mode 100644
index 0000000000..4a31089007
--- /dev/null
+++ b/main/farstream0.1/APKBUILD
@@ -0,0 +1,53 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=farstream0.1
+pkgver=0.1.2
+pkgrel=0
+pkgdesc="Libraries for videoconferencing"
+url="http://www.freedesktop.org/wiki/Software/Farstream"
+arch="all"
+license="LGPLv2+"
+depends=""
+depends_dev="libnice-dev gstreamer-dev gst-plugins-base-dev"
+makedepends="$depends_dev gobject-introspection-dev py-gobject-dev python-dev
+ py-gst"
+install=""
+subpackages="$pkgname-dev $pkgname-doc py-$pkgname:py"
+source="http://freedesktop.org/software/farstream/releases/farstream/farstream-$pkgver.tar.gz
+ gtk-doc.patch"
+
+_builddir="$srcdir"/farstream-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --enable-python \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la \
+ "$pkgdir"/usr/lib/*/*.la \
+ "$pkgdir"/usr/lib/python*/site-packages/farstream.la
+}
+
+py() {
+ pkgdesc="Python binding for farstream"
+ mkdir -p "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
+}
+
+md5sums="5d6e561b3688d0d0c8906fec4f356df3 farstream-0.1.2.tar.gz
+e5f6667659136db6eec6c532377d5598 gtk-doc.patch"